%global srcname  rfc3986_validator
%global slugname rfc3986_validator
%global pkgname  rfc3986-validator
%global forgeurl https://github.com/naimetti/rfc3986-validator

%global common_description %{expand:
A pure python RFC3986 validator.
}

%bcond_without tests

Name:           python-%{pkgname}
Version:        0.1.1
Release:    1%{?dist}
Summary:        Pure python RFC3986 validator
License:        MIT
URL:            %{forgeurl}
Source0:         %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

Patch0:         0001_removing_pytest_runner_and_adding_test_requirements.patch

%description %{common_description}

%package -n python3-%{pkgname}
Summary: %summary

%description -n python3-%{pkgname} %{common_description}

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -r %{?with_tests:-x test}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{slugname}

%check
%if %{with tests}
PYTHONWARNINGS=ignore %pytest -vv tests
%endif

%files -n python3-%{pkgname} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.1-1
- initial build
